﻿using CaseAccountingDataModels.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CaseAccountingContracts.BindingModels
{
    public class ContractBindingModel : IContractModel
    {
        public string Service { get; set; } = string.Empty;

        public decimal Coast { get; set; }

        public DateTime Date { get; set; } = DateTime.SpecifyKind(DateTime.Now, DateTimeKind.Utc);

        public int UserId { get; set; }

        public int Id { get; set; }

        public Dictionary<int, IDealModel> Deals { get; set; } = new();
    }
}
